# $Revision: 1.37 $, $Date: 2008-03-21 13:34:52 $
Summary:	Frontend to Collins Dictionary
Summary(pl.UTF-8):	Interfejs do słownika Collinsa
Name:		kydpdict
Version:	0.9.4
Release:	1
License:	GPL
Group:		Applications/Dictionaries
Source0:	http://members.elysium.pl/ytm/src/%{name}-%{version}.tar.bz2
# Source0-md5:	b7ba99c4925d642b9407c2628e5b16b3
Source1:	%{name}.desktop
Source2:	%{name}.png
URL:		http://members.elysium.pl/ytm/html/kydpdict.html
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	qt-devel >= 6:3.3.2-5
BuildRequires:	qt-linguist >= 3.3.2-5
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Kydpdict is a graphical (Qt) frontend for various free and commercial
dictionaries available for Windows. Contrary to its name this software
doesn't depend on KDE environment. Since version 0.9.0 it also isn't
limited to YDP dictionaries, but can use others (like SAP).

%description -l pl.UTF-8
Program Kydpdict jest graficzną (Qt) nakładką pozwalającą na łatwe i
efektywne korzystanie w środowisku graficznym z różnych darmowych i
komercyjnych słowników dostępnych pod Windows. Wbrew swojej nazwie nie
jest programem zależnym od środowiska KDE. Od wersji 0.9.0 również wbrew
swojej nazwie nie jest li tylko nakładką na słownik YDP.

%prep
%setup -q

%{__perl} -pi -e 's/-lqt3 -lqt2 -lqt -lqt-mt/-lqt-mt/' config/qt.m4

%build
%{__aclocal} --acdir=config
%{__autoconf}
%configure \
	--with-qt-includes=%{_includedir}/qt \
	--with-qt-libraries=%{_libdir}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_desktopdir},%{_pixmapsdir}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}
install %{SOURCE2} $RPM_BUILD_ROOT%{_pixmapsdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS README ChangeLog TODO
%attr(755,root,root) %{_bindir}/*
%{_desktopdir}/*.desktop
%{_pixmapsdir}/*.png
%{_datadir}/kydpdict

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: kydpdict.spec,v $
Revision 1.37  2008-03-21 13:34:52  adamg
- updated to 0.9.4

Revision 1.36  2007/04/09 01:28:09  shadzik
mass attack: qt-devel epoch

Revision 1.35  2007/02/13 06:46:50  glen
- tabs in preamble

Revision 1.34  2007/02/12 00:49:01  baggins
- converted to UTF-8

Revision 1.33  2006/04/16 15:35:14  adamg
- updated to 0.9.3

Revision 1.32  2006/02/26 17:03:21  aflinta
- 0.9.2

Revision 1.31  2006/01/22 15:19:52  bszx
- updated to 0.9.1

Revision 1.30  2005/07/27 07:14:19  qboosh
- typo

Revision 1.29  2005/07/26 19:36:37  adamg
- updated to 0.9.0
- pl/en description updated

Revision 1.28  2004/12/26 19:40:02  adamg
- updated to 0.6.7

Revision 1.27  2004/11/07 13:01:07  paladine
- rel 2 for fixed desktop file

Revision 1.26  2004/09/29 12:05:08  hawk
- updated to 0.6.6

Revision 1.25  2004/07/25 21:37:17  hawk
- updated to 0.6.4
- added missing BR: qt-linguist
- updated qt version in BRs: >= 3.3.2-5

Revision 1.24  2004/07/10 09:49:00  adamg
- updated to 0.6.3
- use make install

Revision 1.23  2004/04/25 17:17:29  adamg
- updated to 0.6.2

Revision 1.22  2004/04/10 18:33:34  qboosh
- link with qt-mt even if qt-st-devel is installed
- switched to vfolders, release 2

Revision 1.21  2004/03/13 12:18:14  adamg
- updated to 0.6.0
- removed home_etc patch (applied upstream)
- new icon (with transparency)

Revision 1.20  2004/02/22 17:21:56  adamg
- updated to 0.5.10

Revision 1.19  2004/02/08 20:10:38  adamg
- updated to 0.5.9

Revision 1.18  2004/01/04 13:06:42  adamg
- added home_etc.patch
- release 2

Revision 1.17  2003/12/27 20:15:31  adamg
- updated to 0.5.8

Revision 1.16  2003/12/22 16:16:36  twittner
- updated to 0.5.7

Revision 1.15  2003/09/30 02:42:11  twittner
- Release 5: added some infos about commercial component.

Revision 1.14  2003/09/28 21:41:20  ankry
- rel. 4

Revision 1.13  2003/08/06 11:10:33  qboosh
- moved URL to standard place

Revision 1.12  2003/08/06 11:09:41  adamg
- added BR: autoconf, automake; more specific BR for qt-devel

Revision 1.11  2003/08/06 11:04:47  adamg
- added configure_in patch
- use aclocal and autoconf

Revision 1.10  2003/08/06 10:30:20  adamg
- BR: qt-devel

Revision 1.9  2003/08/05 08:00:24  adamg
- added missing tips.html (thanks to Maciej Witkowiak for pointing that one)

Revision 1.8  2003/07/31 23:26:25  adamg
- updated to 0.5.6

Revision 1.7  2003/07/28 07:13:59  adamg
- updated to 0.5.5

Revision 1.6  2003/07/19 22:15:44  adamg
- updated to 0.5.2

Revision 1.5  2003/05/28 12:59:24  malekith
- massive attack: source-md5

Revision 1.4  2003/05/25 05:49:38  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.3  2003/03/31 12:47:13  qboosh
- removed COPYING (just GPL) and INSTALL (useless in rpm) from doc

Revision 1.2  2003/03/27 22:06:50  qboosh
- adapterized, missing dir
